Index: /extensions/GrumPluginClasses/js/ui.categorySelector.js
===================================================================
--- /extensions/GrumPluginClasses/js/ui.categorySelector.js	(revision 8960)
+++ /extensions/GrumPluginClasses/js/ui.categorySelector.js	(revision 8961)
@@ -2,6 +2,6 @@
  * -----------------------------------------------------------------------------
  * file: ui.categorySelector.js
- * file version: 1.0.1
- * date: 2010-10-10
+ * file version: 1.1.0
+ * date: 2011-01-12
  *
  * A jQuery plugin provided by the piwigo's plugin "GrumPluginClasses"
@@ -28,4 +28,16 @@
  * |         |            | * add 'name' property
  * |         |            |
+ * | 1.1.0   | 2011/01/12 | * checkbox moved between +/- button and text
+ * |         |            |
+ * |         |            | * dropdown list is managed like dropdown list on
+ * |         |            |   <select> object (hidden only when object loose
+ * |         |            |   focus )
+ * |         |            |
+ * |         |            | * selected values are dislayed like tags
+ * |         |            |
+ * |         |            | * add 'isValid' method
+ * |         |            |
+ * |         |            | * add 'displayPath' property
+ * |         |            |
  * |         |            |
  *
@@ -61,5 +73,4 @@
                       levelIndent:16,
                       iconWidthEC:15,
-                      iconWidthCheck:18,
                       serverUrl:'plugins/GrumPluginClasses/gpc_ajax.php',
                       filter:'accessible',
@@ -68,5 +79,8 @@
                       load:null,
                       multiple:false,
-                      userMode:'public'
+                      userMode:'public',
+                      popupMode:'click',
+                      displayPath:false,
+                      downArrow:'&dArr;'
                     };
 
@@ -86,4 +100,6 @@
                     categories:[],
                     labelStatus:['', ''],
+                    mouseOver:false,
+                    isValid:true
                   }
                 );
@@ -98,4 +114,5 @@
                         {
                           'class':'ui-category-selector',
+                          tabindex:0,
                           css:{
                             width:'100%'
@@ -106,4 +123,5 @@
                         {
                           privateMethods.displaySelector($this, !$this.data('properties').selectorVisible);
+                          $(this).focus();
                         }
                       ),
@@ -111,7 +129,8 @@
                       {
                         html: '&nbsp;',
-                        'class':'ui-category-selector-name',
+                        'class':'ui-category-selector-name'
                       }
                     ),
+                    containerList:null,
                     containerStatus:$('<div/>',
                       {
@@ -132,6 +151,15 @@
                         }
                       }
+                    ).bind('mousedown',
+                        function ()
+                        {
+                          $(this).addClass('ui-category-selector-arrow-active');
+                        }
+                    ).bind('mouseup',
+                        function ()
+                        {
+                          $(this).removeClass('ui-category-selector-arrow-active');
+                        }
                     ),
-
                     listContainer:$('<div/>',
                         {
@@ -144,10 +172,5 @@
                           }
                         }
-                    ).bind('mouseleave.categorySelector',
-                        function ()
-                        {
-                          privateMethods.displaySelector($this, false);
-                        }
-                      ),
+                    ),
                     list:$('<ul/>',
                       {
@@ -160,14 +183,18 @@
                     )
                   };
-
-                $this
-                  .html('')
-                  .append(objects.container.append(objects.containerArrow).append(objects.containerStatus).append(objects.containerName))
-                  .append(objects.listContainer.append(objects.list));
-
-                $this.data('objects', objects);
-              }
+              }
+
+              $this.data('objects', objects);
 
               privateMethods.setOptions($this, opt);
+
+
+              if($this.html()!='') privateMethods.setItems($this, $this.html());
+
+              $this
+                .html('')
+                .append(objects.container.append(objects.containerArrow).append(objects.containerStatus).append(objects.containerName))
+                .append(objects.listContainer.append(objects.list));
+
             }
           );
@@ -258,5 +285,5 @@
       listMaxWidth: function (value)
         {
-          if(value)
+          if(value!=null)
           {
             return this.each(function()
@@ -283,5 +310,5 @@
       listMaxHeight: function (value)
         {
-          if(value)
+          if(value!=null)
           {
             return this.each(function()
@@ -333,5 +360,5 @@
       levelIndent: function (value)
         {
-          if(value)
+          if(value!=null)
           {
             return this.each(function()
@@ -358,5 +385,5 @@
       serverUrl: function (value)
         {
-          if(value)
+          if(value!=null)
           {
             return this.each(function()
@@ -383,5 +410,5 @@
       filter: function (value)
         {
-          if(value)
+          if(value!=null)
           {
             return this.each(function()
@@ -428,5 +455,5 @@
       iconWidthEC: function (value)
         {
-          if(value)
+          if(value!=null)
           {
             return this.each(function()
@@ -451,11 +478,11 @@
         }, // iconWidthEC
 
-      iconWidthCheck: function (value)
-        {
-          if(value)
+      userMode: function (value)
+        {
+          if(value!=null)
           {
             return this.each(function()
               {
-                privateMethods.setIconWidthCheck($(this), value);
+                privateMethods.setUserMode($(this), value);
               }
             );
@@ -467,5 +494,5 @@
             if(options)
             {
-              return(options.iconWidthCheck);
+              return(options.userMode);
             }
             else
@@ -474,29 +501,4 @@
             }
           }
-        }, // iconWidthCheck
-
-      userMode: function (value)
-        {
-          if(value)
-          {
-            return this.each(function()
-              {
-                privateMethods.setUserMode($(this), value);
-              }
-            );
-          }
-          else
-          {
-            var options = this.data('options');
-
-            if(options)
-            {
-              return(options.userMode);
-            }
-            else
-            {
-              return(0);
-            }
-          }
         }, // userMode
 
@@ -504,6 +506,5 @@
         {
           var options=this.data('options'),
-              properties=this.data('properties'),
-              objects=this.data('objects');
+              properties=this.data('properties');
 
           if(!options.multiple)
@@ -522,7 +523,82 @@
         }, // userMode
 
+      popupMode: function (value)
+        {
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setPopupMode($(this), value);
+              }
+            );
+          }
+          else
+          {
+            var options = this.data('options');
+
+            if(options)
+            {
+              return(options.popupMode);
+            }
+            else
+            {
+              return(0);
+            }
+          }
+        }, // popupMode
+
+      displayPath: function (value)
+        {
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setDisplayPath($(this), value);
+              }
+            );
+          }
+          else
+          {
+            var options = this.data('options');
+
+            if(options)
+            {
+              return(options.displayPath);
+            }
+            else
+            {
+              return(0);
+            }
+          }
+        }, // displayPath
+
+      downArrow: function (value)
+        {
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setDownArrow($(this), value);
+              }
+            );
+          }
+          else
+          {
+            var options = this.data('options');
+
+            if(options)
+            {
+              return(options.downArrow);
+            }
+            else
+            {
+              return('');
+            }
+          }
+        }, // downArrow
+
       value: function (value)
         {
-          if(value)
+          if(value!=null)
           {
             // set selected value
@@ -559,4 +635,22 @@
           }
         }, // value
+
+      isValid: function (value)
+        {
+          if(value!=null)
+          {
+            return this.each(function()
+              {
+                privateMethods.setIsValid($(this), value);
+              }
+            );
+          }
+          else
+          {
+            var properties=this.data('properties');
+            return(properties.isValid);
+          }
+        }, // isValid
+
       load: function (value)
         {
@@ -634,4 +728,5 @@
           }
         }, // popup
+
       numberOfCategories: function ()
         {
@@ -647,7 +742,9 @@
           }
         }, // numberOfCategories
+
       properties: function (value)
         {
-          var properties=this.data('properties');
+          var properties=this.data('properties'),
+              options=this.data('options');
 
           if(properties && value==':first' && properties.categories.length>0)
@@ -657,9 +754,9 @@
           else if(properties && properties.index!=null && (value==':selected' || value==null) && properties.categories.length>0)
           {
-            if(!option.multiple && properties.index>-1 && properties.index<properties.categories.length)
+            if(!options.multiple && properties.index>-1 && properties.index<properties.categories.length)
             {
               return(properties.categories[properties.index]);
             }
-            else if(option.multiple)
+            else if(options.multiple)
             {
               var returned=[];
@@ -686,5 +783,5 @@
             return(null);
           }
-        }, // numberOfCategories
+        } // numberOfCategories
     }; // methods
 
@@ -711,8 +808,10 @@
           privateMethods.setLevelIndent(object, (value.levelIndent!=null)?value.levelIndent:options.levelIndent);
           privateMethods.setIconWidthEC(object, (value.iconWidthEC!=null)?value.iconWidthEC:options.iconWidthEC);
-          privateMethods.setIconWidthCheck(object, (value.iconWidthCheck!=null)?value.iconWidthCheck:options.iconWidthCheck);
           privateMethods.setServerUrl(object, (value.serverUrl!=null)?value.serverUrl:options.serverUrl);
           privateMethods.setFilter(object, (value.filter!=null)?value.filter:options.filter);
           privateMethods.setUserMode(object, (value.userMode!=null)?value.userMode:options.userMode);
+          privateMethods.setPopupMode(object, (value.popupMode!=null)?value.popupMode:options.popupMode);
+          privateMethods.setDisplayPath(object, (value.displayPath!=null)?value.displayPath:options.displayPath);
+          privateMethods.setDownArrow(object, (value.downArrow!=null)?value.downArrow:options.downArrow);
           privateMethods.setEventPopup(object, (value.popup!=null)?value.popup:options.popup);
           privateMethods.setEventChange(object, (value.change!=null)?value.change:options.change);
@@ -725,8 +824,29 @@
         },
 
+      setIsValid : function (object, value)
+        {
+          var objects=object.data('objects'),
+              properties=object.data('properties');
+
+          if(properties.isValid!=value)
+          {
+            properties.isValid=value;
+            if(properties.isValid)
+            {
+              objects.container.removeClass('ui-error');
+            }
+            else
+            {
+              objects.container.addClass('ui-error');
+            }
+          }
+          return(properties.isValid);
+        },
+
       setAutoLoad : function (object, value)
         {
           var options=object.data('options'),
               properties=object.data('properties');
+
           if((!properties.initialized || options.autoLoad!=value) && (value==true || value==false))
           {
@@ -740,4 +860,5 @@
           var options=object.data('options'),
               properties=object.data('properties');
+
           if((!properties.initialized || options.galleryRoot!=value) && (value==true || value==false))
           {
@@ -753,4 +874,5 @@
               properties=object.data('properties'),
               objects=object.data('objects');
+
           if((!properties.initialized || options.listMaxWidth!=value) && value>=0)
           {
@@ -773,4 +895,5 @@
               properties=object.data('properties'),
               objects=object.data('objects');
+
           if((!properties.initialized || options.listMaxHeight!=value) && value>=0)
           {
@@ -793,4 +916,5 @@
               properties=object.data('properties'),
               objects=object.data('objects');
+
           if((!properties.initialized || options.displayStatus!=value) && (value==true || value==false))
           {
@@ -813,4 +937,5 @@
               properties=object.data('properties'),
               objects=object.data('objects');
+
           if((!properties.initialized || options.levelIndent!=value) && value>=0)
           {
@@ -819,5 +944,5 @@
               function ()
               {
-                $(this).css('padding-left', (options.iconWidthEC+options.iconWidthCheck+$(this).attr('level')*options.levelIndent)+'px');
+                $(this).css('padding-left', (options.iconWidthEC+$(this).attr('level')*options.levelIndent)+'px');
               }
             );
@@ -830,4 +955,5 @@
           var options=object.data('options'),
               properties=object.data('properties');
+
           if(!properties.initialized || options.serverUrl!=value)
           {
@@ -838,9 +964,9 @@
         },
 
-
       setFilter : function (object, value)
         {
           var options=object.data('options'),
               properties=object.data('properties');
+
           if((!properties.initialized || options.filter!=value) && (value=='none' || value=='accessible' || value=='public'))
           {
@@ -856,4 +982,5 @@
               properties=object.data('properties'),
               objects=object.data('objects');
+
           if((!properties.initialized || options.iconWidthEC!=value) && value>=0)
           {
@@ -862,63 +989,194 @@
               function ()
               {
-                $(this).css('padding-left', (options.iconWidthEC+options.iconWidthCheck+$(this).attr('level')*options.levelIndent)+'px');
-              }
-            );
-          }
-          return(options.filter);
-        },
-
-      setIconWidthCheck : function (object, value)
+                $(this).css('padding-left', (options.iconWidthEC+$(this).attr('level')*options.levelIndent)+'px');
+              }
+            );
+          }
+          return(options.iconWidthEC);
+        },
+
+      setMultiple : function (object, value)
         {
           var options=object.data('options'),
               properties=object.data('properties'),
               objects=object.data('objects');
-          if((!properties.initialized || options.iconWidthCheck!=value) && (value>=0 && options.multiple || !options.multiple && value==0))
-          {
-            options.iconWidthCheck=value;
-            objects.list.find('.ui-category-selector-item').each(
-              function ()
-              {
-                $(this).css('padding-left', (options.iconWidthEC+options.iconWidthCheck+$(this).attr('level')*options.levelIndent)+'px');
-              }
-            );
-          }
-          return(options.filter);
-        },
-
-      setMultiple : function (object, value)
+
+          if((!properties.initialized || options.multiple!=value) && (value==true || value==false))
+          {
+            if(!value)
+            {
+              properties.index=-1;
+              if(objects.containerList!=null)
+              {
+                objects.containerList.remove();
+                objects.containerList=null;
+              }
+            }
+            else
+            {
+              properties.index=[];
+              objects.listContainer.addClass('ui-category-selector-multiple');
+              if(objects.containerList==null)
+              {
+                objects.containerList=$('<ul/>',
+                  {
+                    css: {
+                      listStyle:'none',
+                      padding:'0px',
+                      margin:'0px',
+                      overflow:"auto"
+                    },
+                    html:'<li>&nbsp;</li>'
+                  }
+                );
+                objects.containerName.html('').append(objects.containerList);
+              }
+            }
+            options.multiple=value;
+          }
+          return(options.multiple);
+        }, //setMultiple
+
+      setUserMode : function (object, value)
+        {
+          var options=object.data('options'),
+              properties=object.data('properties');
+
+          if((!properties.initialized || options.userMode!=value) && (value=='admin' || value=='public'))
+          {
+            options.userMode=value;
+            if(options.autoLoad && properties.initialized) privateMethods.load(object);
+          }
+          return(options.userMode);
+        }, //setUserMode
+
+      setPopupMode : function (object, value)
         {
           var options=object.data('options'),
               properties=object.data('properties'),
               objects=object.data('objects');
-          if((!properties.initialized || options.multiple!=value) && (value==true || value==false))
-          {
-            if(!value)
-            {
-              privateMethods.setIconWidthCheck(object, 0);
-              properties.index=-1;
-            }
-            else
-            {
-              properties.index=[];
-              objects.listContainer.addClass('ui-category-selector-multiple');
-            }
-            options.multiple=value;
-          }
-          return(options.filter);
-        }, //setMultiple
-
-      setUserMode : function (object, value)
+
+          if((!properties.initialized || options.popupMode!=value) && (value=='click' || value=='mouseout'))
+          {
+            options.popupMode=value;
+
+            if(value=='mouseout')
+            {
+              objects.listContainer
+                .unbind('mouseleave.categorySelector')
+                .unbind('mouseenter.categorySelector')
+                .bind('mouseleave.categorySelector',
+                  function ()
+                  {
+                    privateMethods.displaySelector(object, false);
+                  }
+                );
+            }
+            else
+            {
+              objects.listContainer
+                .unbind('mouseleave.categorySelector')
+                .bind('mouseleave.categorySelector',
+                  function ()
+                  {
+                    properties.mouseOver=false;
+                  }
+                )
+                .bind('mouseenter.categorySelector',
+                  function ()
+                  {
+                    properties.mouseOver=true;
+                  }
+                );
+              $(document).bind('focusout focusin',
+                function (event)
+                {
+                  if(!properties.mouseOver) privateMethods.displaySelector(object, false);
+                }
+              );
+            }
+          }
+          return(options.popupMode);
+        }, //setUserMode
+
+
+      setDisplayPath : function (object, value)
         {
           var options=object.data('options'),
               properties=object.data('properties'),
               objects=object.data('objects');
-          if((!properties.initialized || options.userMode!=value) && (value=='admin' || value=='public'))
-          {
-            options.userMode=value;
-            if(options.autoLoad && properties.initialized) privateMethods.load(object);
-          }
-          return(options.filter);
-        }, //setUserMode
+
+          if((!properties.initialized || options.displayPath!=value) && (value==true || value==false))
+          {
+            options.displayPath=value;
+
+          }
+          return(options.userMode);
+        }, //setDisplayPath
+
+      setDownArrow : function (object, value)
+        {
+          var options=object.data('options'),
+              properties=object.data('properties'),
+              objects=object.data('objects');
+
+          if(!properties.initialized || options.downArrow!=value)
+          {
+            options.downArrow=value;
+            objects.containerArrow.html(options.downArrow);
+          }
+          return(options.downArrow);
+        }, //setDownArrow
+
+
+      setItems : function (object, value)
+        {
+          var properties=object.data('properties'),
+              options=object.data('options'),
+              objects=object.data('objects');
+
+          if(value=='' || value==null)
+          {
+            value={
+              status:['',''],
+              categories:[]
+            }
+          }
+          else if($.isArray(value))
+          {
+            value={
+              status:'public',
+              categories:value
+            }
+          }
+          else
+          {
+            try
+            {
+              value=$.parseJSON($.trim(value));
+            }
+            catch (e)
+            {
+              return(false);
+            }
+          }
+
+          properties.labelStatus=value.status;
+          privateMethods.listClear(object);
+          if(value.categories.length>0) privateMethods.listAddItems(object, value.categories, objects.list);
+
+          properties.initialized=false;
+          if(options.multiple)
+          {
+            privateMethods.setValue(object, ':none');
+          }
+          else
+          {
+            privateMethods.setValue(object, ':first');
+          }
+          properties.initialized=true;
+
+          if(options.load) object.trigger('categorySelectorLoad');
+        },
 
       /**
@@ -1198,8 +1456,10 @@
           if(!options.multiple && (!properties.initialized || properties.index!=index) && index>-1)
           {
+
             objects.list.find('.ui-category-selector-selected-item').removeClass('ui-category-selector-selected-item');
             objects.list.find('[catId="'+value+'"]').addClass('ui-category-selector-selected-item');
+            title=privateMethods.getParentName(object, objects.list.find('[catId="'+value+'"] div.ui-category-selector-name')).replace('&amp;', '&').replace('&gt;', '>').replace('&lt;', '<');
             properties.index=index;
-            objects.containerName.html(properties.categories[properties.index].name);
+            objects.containerName.html(properties.categories[properties.index].name).attr('title', title);
             objects.containerStatus.html(properties.labelStatus[properties.categories[properties.index].status]);
             if(trigger && options.change) object.trigger('categorySelectorChange', [properties.categories[properties.index].id]);
@@ -1232,13 +1492,47 @@
               tmp.push(properties.categories[index[i]].id);
             }
-            containerHtml='';
+            objects.containerList.html('');
             objects.list.find('.ui-category-selector-selected-item div.ui-category-selector-name').each(
               function ()
               {
-                containerHtml+=((containerHtml=='')?'':'&nbsp;; ')+$(this).html();
-              }
-            );
-            if(containerHtml=='') containerHtml="&nbsp;";
-            objects.containerName.html(containerHtml);
+                var path='';
+
+                title=privateMethods.getParentName(object, $(this)).replace('&amp;', '&').replace('&gt;', '>').replace('&lt;', '<');
+                if(!options.displayPath)
+                {
+                  path=$(this).html();
+                }
+                else
+                {
+                  path=title;
+                }
+
+                objects.containerList.append(
+                  $('<li/>',
+                    {
+                      html:path,
+                      title:title,
+                      'class':'ui-category-selector-selected-cat'
+                    }
+                  ).prepend(
+                      $('<span/>',
+                        {
+                          html:'x'
+                        }
+                       ).bind('click.categorySelector',
+                          {object:object, value:$(this).parent().parent().attr('catid')},
+                          function (event)
+                          {
+                            event.stopPropagation();
+                            privateMethods.setValue(event.data.object, event.data.value);
+                          }
+                        )
+                      )
+                )
+              }
+            );
+
+            if(objects.containerList.children().length==0) objects.containerList.append('<li>&nbsp;</li>');
+
             if(trigger && options.change) object.trigger('categorySelectorChange', [tmp]);
             return(tmp);
@@ -1246,4 +1540,14 @@
           return(null);
         },
+
+      getParentName : function (object, item)
+      {
+        if(item==null || item.length==0) return('');
+        foundItem=item.parent().parent().parent().prev().find('div.ui-category-selector-name');
+
+        if(foundItem.length==0) return(item.html());
+
+        return(privateMethods.getParentName(object, foundItem)+' / '+item.html());
+      },
 
       displaySelector : function (object, value)
@@ -1252,4 +1556,5 @@
               properties=object.data('properties'),
               objects=object.data('objects');
+
           if(properties.selectorVisible!=value)
           {
@@ -1266,4 +1571,5 @@
                   }
                 );
+
               if($.isArray(properties.index))
               {
@@ -1289,6 +1595,7 @@
           // load datas from server through an asynchronous ajax call
           var options=object.data('options'),
-              properties=object.data('properties'),
               objects=object.data('objects');
+
+          if(options.serverUrl=='') return(false);
 
           $.ajax(
@@ -1306,20 +1613,10 @@
               success: function(msg)
                 {
-                  list=$.parseJSON(msg);
-
-                  properties.labelStatus=list.status;
-                  privateMethods.listClear(object);
-                  privateMethods.listAddItems(object, list.categories, objects.list);
-
-                  properties.initialized=false;
-                  privateMethods.setValue(object, ':first');
-                  properties.initialized=true;
-
-                  if(options.load) object.trigger('categorySelectorLoad');
+                  privateMethods.setItems(object, msg);
                 },
               error: function(msg)
                 {
                   objects.listContainer.html('Error ! '+msg);
-                },
+                }
             }
          );
@@ -1345,4 +1642,5 @@
           properties.categories=[];
         },
+
       listAddItems : function (object, listItems, parent)
         {
@@ -1374,5 +1672,5 @@
             }
 
-            var spaceWidth = (options.iconWidthEC+options.iconWidthCheck+listItems[i].level*options.levelIndent),
+            var spaceWidth = (options.iconWidthEC+listItems[i].level*options.levelIndent),
                 li=$('<li/>',
                       {
@@ -1389,10 +1687,6 @@
                         function (event)
                         {
-                          if(!event.layerX && event.offsetX)
-                          {
-                            // trick for IE..
-                            event.layerX=event.offsetX;
-                            event.layerY=event.offsetY;
-                          }
+                          event.layerX=event.pageX-$(event.currentTarget).offset().left;
+                          event.layerY=event.pageY-$(event.currentTarget).offset().top;
 
                           if(event.layerX<event.data.expandArea && event.data.nbchilds>0 )
@@ -1424,14 +1718,16 @@
                             }
                           }
+
+                          if(options.multiple) objects.container.focus();
                         }
                       );
             if(listItems[i].childs.length>0)
             {
-              li.addClass('ui-category-selector-collapsable-item').css('background-position', (options.iconWidthCheck+options.levelIndent*listItems[i].level)+'px 0px');
+              li.addClass('ui-category-selector-collapsable-item').css('background-position', (options.levelIndent*listItems[i].level)+'px 0px');
             }
 
             if(options.multiple)
             {
-              li.prepend('<div class="ui-category-selector-check"></div>');
+              li.children().prepend('<div class="ui-category-selector-check"></div>');
             }
 
@@ -1465,4 +1761,5 @@
            */
           var properties=object.data('properties');
+
           for(var i=0;i<properties.categories.length;i++)
           {
@@ -1471,7 +1768,9 @@
           return(-1);
         },
+
       setEventPopup : function (object, value)
         {
           var options=object.data('options');
+
           options.popup=value;
           object.unbind('categorySelectorPopup');
@@ -1479,7 +1778,9 @@
           return(options.popup);
         },
+
       setEventChange : function (object, value)
         {
           var options=object.data('options');
+
           options.change=value;
           object.unbind('categorySelectorChange');
@@ -1487,7 +1788,9 @@
           return(options.change);
         },
+
       setEventLoad : function (object, value)
         {
           var options=object.data('options');
+
           options.load=value;
           object.unbind('categorySelectorLoad');
Index: /extensions/GrumPluginClasses/js/ui.iconSelector.js
===================================================================
--- /extensions/GrumPluginClasses/js/ui.iconSelector.js	(revision 8960)
+++ /extensions/GrumPluginClasses/js/ui.iconSelector.js	(revision 8961)
@@ -148,5 +148,5 @@
                     container:$('<div/>',
                         {
-                          'class':' ui-icon-selector ',
+                          'class':' ui-icon-selector '
                         }
                     ).bind('click.iconSelector',
